%define	major 2
%define libname	%mklibname sgutils %{major}
%define develname %mklibname sgutils -d

Summary:	Utils for Linux's SCSI generic driver devices + raw devices
Name:		sg3_utils
Version:	1.42
Release:	%mkrel 1
License:	GPL+
Group:		System/Kernel and hardware
URL:		http://sg.danny.cz/sg/sg3_utils.html
Source0:	http://sg.danny.cz/sg/p/%{name}-%{version}.tar.xz
Patch0:		sg3_utils-1.37-dont-open-dev-snapshot.patch

%description
Collection of tools for SCSI devices that use the Linux SCSI
generic (sg) interface. Includes utilities to copy data based on
"dd" syntax and semantics (called sg_dd, sgp_dd and sgm_dd); check
INQUIRY data and associated pages (sg_inq); check mode and log
pages (sg_modes and sg_logs); spin up and down disks (sg_start);
do self tests (sg_senddiag); and various other functions. See the
README and CHANGELOG files. Requires the lk 2.4 series or better.
[In the lk 2.5 development series many of these utilities can be
used on the primary block device name (e.g. /dev/sda).]

Warning: Some of these tools access the internals of your system
and the incorrect usage of them may render your system inoperable.

%package -n	%{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n	%{libname}
This package contains the shared library for %{name}.

%package -n	%{develname}
Summary:	Development library and header files for the sgutils library
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libsgutils-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{develname}
This package contains the sgutils development library and its header
files.

%prep
%setup -q
%patch0 -p1 -b .dev-snapshot

%build
%configure2_5x --disable-static \
	--bindir=%{_sbindir}
%make

%install
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

%files
%doc ChangeLog COVERAGE CREDITS README README.sg_start
%{_sbindir}/*
%{_mandir}/man8/*

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_includedir}/scsi/*.h
%{_libdir}/*.so


%changelog
* Mon May 09 2016 luigiwalser <luigiwalser> 1.42-1.mga6
+ Revision: 1011558
- 1.42

* Fri Jan 01 2016 luigiwalser <luigiwalser> 1.41-1.mga6
+ Revision: 917594
- 1.41

* Sun Jun 21 2015 luigiwalser <luigiwalser> 1.40-1.mga6
+ Revision: 837068
- 1.40

* Wed Oct 15 2014 umeabot <umeabot> 1.39-3.mga5
+ Revision: 741586
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.39-2.mga5
+ Revision: 689127
- Mageia 5 Mass Rebuild

* Sat Jun 14 2014 luigiwalser <luigiwalser> 1.39-1.mga5
+ Revision: 636128
- 1.39

* Fri Apr 04 2014 luigiwalser <luigiwalser> 1.38-1.mga5
+ Revision: 611591
- 1.38

* Wed Dec 11 2013 luigiwalser <luigiwalser> 1.37-1.mga5
+ Revision: 556227
- 1.37
- add patch from fedora to fix rhbz#920687

* Mon Oct 21 2013 umeabot <umeabot> 1.36-2.mga4
+ Revision: 541006
- Mageia 4 Mass Rebuild

* Thu Oct 10 2013 luigiwalser <luigiwalser> 1.36-1.mga4
+ Revision: 494933
- 1.36

* Thu May 30 2013 tv <tv> 1.35-1.mga4
+ Revision: 433067
- new release

* Mon Jan 14 2013 umeabot <umeabot> 1.34-2.mga3
+ Revision: 381955
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 17 2012 fwang <fwang> 1.34-1.mga3
+ Revision: 307609
- new version 1.34

* Sat Jan 28 2012 tv <tv> 1.33-1.mga2
+ Revision: 202459
- new release

* Thu Jan 26 2012 fwang <fwang> 1.31-2.mga2
+ Revision: 201744
- disable static build

* Thu Jun 16 2011 tv <tv> 1.31-1.mga2
+ Revision: 108355
- new relase
- use xs tarball

  + pterjan <pterjan>
    - Drop obsolete Obsoletes and scriptlets
    - imported package sg3_utils

